Summary:	Shadow password file utilities for Linux
Name:		shadow
Version:	4.0.15
Release:	6
License:	BSD
Group:		Libraries
Source0:	ftp://ftp.pld.org.pl/software/shadow/%{name}-%{version}.tar.bz2
Source1:	adduser
Source2:	deluser
Source3:	login.defs
Patch0:		%{name}.diff
Provides:	shadow-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	shadow-utils passwd
%define		_sysconfdir	/etc

%description
This package includes the programs necessary to convert standard UNIX
password files to the shadow password format, as well as programs for
command-line management of the user's accounts.
 - 'pwconv' converts everything to the shadow password format.
 - 'pwunconv' unconverts from shadow passwords, generating a file in
   the current directory called npasswd that is a standard UNIX password
   file.
 - 'pwck' checks the integrity of the password and shadow files.
 - 'lastlog' prints out the last login times of all users.
 - 'useradd', 'userdel' and 'usermod' for accounts management.
 - 'groupadd', 'groupdel' and 'groupmod' for group management.

A number of man pages are also included that relate to these
utilities, and shadow passwords in general.

%prep
%setup -q 
%patch0 -p0

%build
%configure \
	--without-libpam \
	--disable-libpam \
	--enable-shared \
	--disable-static \
	--enable-desrpc \
	--enable-shadowgrp \
	--with-libcrypt \
	--with-libcrack \
	--without-selinux \
	--disable-nls \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/default; cp %{SOURCE3} $RPM_BUILD_ROOT/etc/; cd $RPM_BUILD_ROOT/etc/default/; ln -sf ../useradd .; cd -
cp etc/useradd $RPM_BUILD_ROOT/etc; cp %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/bin; cd $RPM_BUILD_ROOT/bin; ln -sf ../usr/bin/login .; ln -sf ../usr/bin/su .
mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib; cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../../lib/* .
cd $RPM_BUILD_ROOT/usr/bin; ln -sf ../sbin/vipw .
cd $RPM_BUILD_ROOT/usr/sbin; ln -sf vipw vigr
touch -c `find $RPM_BUILD_ROOT/.`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc
/bin
/lib/*.so.*
/lib/*.so
/lib/*.la
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/bin
/usr/sbin
/usr/man/man1
/usr/man/man3
/usr/man/man5
/usr/man/man8
